%global enable_tests 1
%global srcname dashdash

%global owner trentm

Name:           nodejs-%{srcname}
Version:        1.10.1
Release:        5%{?dist}
Summary:        A light, featureful and explicit option parsing library for node.js
License:        MIT
URL:            https://github.com/trentm/node-dashdash
Source0:        https://github.com/%{owner}/node-%{srcname}/archive/%{version}.tar.gz

BuildArch:      noarch

ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(assert-plus)
%endif

%description
%{summary}.

%prep
%setup -qn node-%{srcname}-%{version}
%nodejs_fixdep assert-plus
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
nodeunit test/*.test.js
%endif

%files
%doc CHANGES.md AUTHORS README.md TODO.txt examples
%license LICENSE.txt
%{nodejs_sitelib}/%{srcname}

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Aug 28 2016 Piotr Popieluch <piotr1212@gmail.com> - - 1.10.1-3
- fixdep assert-plus

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 13 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.10.1-1
- Initial package
